commit:     8f70aa7e7a6f9beead1d2ebcb31235af8621a0ba
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Jun 27 09:37:24 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Thu Jul  1 04:58:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8f70aa7e

dev-cpp/pcg-cpp: add .pc file + examples use flag

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-cpp/pcg-cpp/files/pcg-cpp.pc                   |  9 ++++++++
 dev-cpp/pcg-cpp/metadata.xml                       |  1 +
 ...6.ebuild => pcg-cpp-0.98.1_p20210406-r1.ebuild} | 24 +++++++++++++---------
 3 files changed, 24 insertions(+), 10 deletions(-)

diff --git a/dev-cpp/pcg-cpp/files/pcg-cpp.pc b/dev-cpp/pcg-cpp/files/pcg-cpp.pc
new file mode 100644
index 000000000..b289efc01
--- /dev/null
+++ b/dev-cpp/pcg-cpp/files/pcg-cpp.pc
@@ -0,0 +1,9 @@
+prefix=@PREFIX@
+exec_prefix=${prefix}
+includedir=${prefix}/include
+
+Name: pcg-cpp
+Description: Family of better random number generators
+URL: https://www.pcg-random.org
+Version: 0.98.1
+Cflags: -I${includedir}

diff --git a/dev-cpp/pcg-cpp/metadata.xml b/dev-cpp/pcg-cpp/metadata.xml
index 8f65b2c6a..48ce5f492 100644
--- a/dev-cpp/pcg-cpp/metadata.xml
+++ b/dev-cpp/pcg-cpp/metadata.xml
@@ -4,6 +4,7 @@
        <upstream>
                <remote-id type="github">mneme/pcg-cpp</remote-id>
                <bugs-to>https://github.com/imneme/pcg-cpp/issues</bugs-to>
+               <doc>https://www.pcg-random.org/using-pcg-cpp.html</doc>
        </upstream>
        <maintainer type="person">
                <email>[email protected]</email>

diff --git a/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406.ebuild 
b/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild
similarity index 64%
rename from dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406.ebuild
rename to dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild
index 1687284f6..c6afd3086 100644
--- a/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406.ebuild
+++ b/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit toolchain-funcs
+inherit multilib toolchain-funcs
 
 COMMIT="ffd522e7188bef30a00c74dc7eb9de5faff90092"
 DESCRIPTION="Family of better random number generators"
@@ -14,15 +14,10 @@ S="${WORKDIR}/${PN}-${COMMIT}"
 LICENSE="|| ( Apache-2.0 MIT )"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
+IUSE="examples test"
 RESTRICT="!test? ( test )"
 
-src_prepare() {
-       default
-       sed "s/install: all/install:/" -i Makefile || die
-}
-
-# this code installs only headers
+# header-only library
 src_compile() {
        tc-export CXX
        if use test ; then
@@ -37,5 +32,14 @@ src_test() {
 }
 
 src_install() {
-       emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+       doheader include/*
+
+       docompress -x /usr/share/doc/${PF}/sample
+       use examples && dodoc -r sample
+       einstalldocs
+
+       insinto /usr/$(get_libdir)/pkgconfig
+       doins "${FILESDIR}"/pcg-cpp.pc
+       sed -e "s:@PREFIX@:${EPREFIX}/usr:" \
+               -i "${ED}"/usr/$(get_libdir)/pkgconfig/pcg-cpp.pc || die
 }

Reply via email to